groovy (2.4.21-8) unstable; urgency=medium

  * Team upload.
  * Add dependency on libjsp-api-java (Closes: #1035850)

 -- tony mancill <tmancill@debian.org>  Sun, 14 May 2023 20:41:50 -0700

groovy (2.4.21-7) unstable; urgency=medium

  * Team upload.
  * Correct servlet-api JAR symlink (Closes: #1021864)
  * Use a versionless symlink for jsp-api.jar
  * Update javadoc links for libservlet-api-java-doc

 -- tony mancill <tmancill@debian.org>  Sun, 16 Oct 2022 21:02:21 -0700

groovy (2.4.21-6) unstable; urgency=medium

  * Team upload.
  * Remove javax.servlet:servlet-api mapping rules from debian/maven.rules
    (Required to resolve FTBFS with gradle 4.4.1-16.)

 -- tony mancill <tmancill@debian.org>  Mon, 03 Oct 2022 21:34:10 -0700

groovy (2.4.21-5) unstable; urgency=medium

  * Team upload.
  * Binary-only upload for Arch: all package to unstable to address
    #1021200.

 -- tony mancill <tmancill@debian.org>  Mon, 03 Oct 2022 11:27:02 -0700

groovy (2.4.21-4) unstable; urgency=medium

  * Team upload.
  * Correct typo in groovy dependency line (Closes: #1021200)

 -- tony mancill <tmancill@debian.org>  Mon, 03 Oct 2022 08:41:29 -0700

groovy (2.4.21-3) unstable; urgency=medium

  * Team upload.
  * Use libservlet-api-java[-doc] build-deps (Closes: #1020429)
  * Freshen years in debian/copyright
  * Update 2.4.21-2 changelog to reflect JLine2 and tests change
  * Remove unused lintian override
  * Set Rules-Requires-Root: no in debian/control

 -- tony mancill <tmancill@debian.org>  Sun, 02 Oct 2022 09:34:00 -0700

groovy (2.4.21-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with JANSI 2.4.0. (Closes: #1013355)
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.6.1.
  * Update to JLine2 >= 2.13
  * Disable the tests for now

 -- Markus Koschany <apo@debian.org>  Sat, 25 Jun 2022 21:47:51 +0200

groovy (2.4.21-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Track only the supported 2.4.x versions until we can upgrade
    groovy.
  * New upstream version 2.4.21.
    - Fix CVE-2020-17521: Apache Groovy Information Disclosure.
      Thanks to Salvatore Bonaccorso for the report. (Closes: #977399)
  * Declare compliance with Debian Policy 4.5.1.

 -- Markus Koschany <apo@debian.org>  Mon, 14 Dec 2020 23:32:02 +0100

groovy (2.4.20-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Updated the poms
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 01 Sep 2020 17:46:49 +0200

groovy (2.4.17-4) unstable; urgency=medium

  * Team upload.
  * disable timestamps from javadoc
  * install icon for Groovy Console

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 10 Dec 2019 12:06:21 +0100

groovy (2.4.17-3) unstable; urgency=medium

  [ tony mancill ]
  * Team upload.
  * Use debhelper 12
  * Update debian/watch

  [ Hans-Christoph Steiner ]
  * use a fixed timestamp to support reproducible builds

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 06 Dec 2019 01:06:55 +0100

groovy (2.4.17-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix groovyConsole exception. (Closes: #929460)
  * Fix typo in Recommends for junit4-doc
  * Add lintian override for needless-suggest-recommend-libservlet-java
  * Remove dangling symlink to testng.jar (Closes: #874755)
    (Recommends was removed in 2.4.8-2)
  * Remove dangling symlink to jsr166y (Closes: #874711)

 -- tony mancill <tmancill@debian.org>  Wed, 31 Jul 2019 20:03:00 -0700

groovy (2.4.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the poms
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 15 Jul 2019 12:56:38 +0200

groovy (2.4.16-2) unstable; urgency=medium

  * Team upload.
  * Add failOnError.patch and work around the Javadoc error by making it
    non-fatal. (Closes: #922755)
  * Declare compliance with Debian Policy 4.3.0.

 -- Markus Koschany <apo@debian.org>  Wed, 20 Feb 2019 13:54:50 +0100

groovy (2.4.16-1) unstable; urgency=medium

  * Team upload

  [ Tiago Stürmer Daitx ]
  * Replace HTTP URLs with local files: (Closes: #910098)
    - debian/control: build depends on -doc packages so javadoc can
      properly link the apis.
    - debian/patches/10_fix_javadoc_links.patch: include javadoc apis
      locally; since openjdk 10 any invalid, unreacheable, or
      nonexistent doc link causes the build to fail.

  [ tony mancill ]
  * Add groovyConsole desktop file. (Closes: #879892)
    Thank you to Dirk Heinrichs for the patch and reminder.

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
    - Updated the poms
  * Fixed the build failure with Java 11 (Closes: #916840)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Dec 2018 14:42:03 +0100

groovy (2.4.15-3) unstable; urgency=medium

  * Team upload.
  * Drop build-dep on default-jdk-headless | default-jdk in favor of
    simply default-jdk to address FTBFS. (Closes: #904783)
  * Bump Standards-Version to 4.2.1

 -- tony mancill <tmancill@debian.org>  Tue, 04 Sep 2018 21:00:55 -0700

groovy (2.4.15-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 10 (Closes: #897612)
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 17 May 2018 10:10:18 +0200

groovy (2.4.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the poms
  * Standards-Version updated to 4.1.4

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 09 Apr 2018 00:16:43 +0200

groovy (2.4.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the poms
    - Disabled the buildscan plugin
  * Install the Maven artifacts for groovy-nio
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 11 Mar 2018 10:26:40 +0100

groovy (2.4.8-3) unstable; urgency=medium

  * Team upload.
  * Rebuild without the broken module-info.class files from ASM 6.0~alpha
  * Use a versioned dependency for default-jre-headless
  * No longer build the transitional groovy2 package
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 20 Nov 2017 23:01:51 +0100

groovy (2.4.8-2) unstable; urgency=high

  * Team upload.

  [ Miguel Landaeta ]
  * Remove myself from uploaders list. (Closes: #871857)
  * Update copyright info.

  [ Felix Natter ]
  * Backport GROOVY-8163 fix from groovy 2.5.x

  [ Emmanuel Bourg ]
  * Standards-Version updated to 4.1.0
  * Removed the recommended dependency on testng

 -- Felix Natter <fnatter@gmx.net>  Fri, 08 Sep 2017 10:36:08 +0200

groovy (2.4.8-1) unstable; urgency=high

  * Team upload.
  * New upstream release
    - Fixes CVE-2016-6814: serialization vulnerability (Closes: #851408)
    - Refreshed the patches
    - Updated the poms
  * Disabled parallel building

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 16 Jan 2017 00:44:33 +0100

groovy (2.4.7-4) unstable; urgency=medium

  * Team upload
  * New transition_Gradle_3.1.patch for compatibility with Gradle 3.1
  * Update to debhelper 10
  * d/control: Build-Depends on default-jdk-headless | default-jdk

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 14 Nov 2016 22:54:54 +0800

groovy (2.4.7-3) unstable; urgency=medium

  * Team upload.
  * Fail the build if AntBuilder isn't in groovy-all.jar (Closes: #839896)
  * Remove the .java directory created in the build directory
  * Removed the verbose mode on mh_installpom

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 09 Oct 2016 10:19:46 +0200

groovy (2.4.7-2) unstable; urgency=medium

  * Team upload.
  * Fixed the dependency substitution for ASM (Closes: #839295)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 01 Oct 2016 23:57:25 +0200

groovy (2.4.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Updated the poms
  * Transition to the Servlet API 3.1 (Closes: #801018, #801031)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 21 Jun 2016 11:42:09 +0200

groovy (2.4.6-2) unstable; urgency=medium

  * Team upload.
  * Added a groovy2 transitional package

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 May 2016 15:55:28 +0200

groovy (2.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Closes: #793397, #793630, #800859
    - Refreshed the patches
    - Updated the poms
  * Reverted to groovy as the package name
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Removed the build dependency on libcobertura-java
  * Standards-Version updated to 3.9.8 (no changes)
  * Use secure Vcs-* URLs
  * Updated debian/watch to track the latest releases
  * Removed the unused debian/orig-tar.sh script

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 May 2016 22:14:13 +0200

groovy2 (2.4.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the poms
    - Removed the build dependency on checkstyle
  * debian/rules: Replaced the hardcoded version with a variable
  * Build with gradle-debian-helper

  [ Miguel Landaeta ]
  * Fix typo in Suggests for groovy2-doc binary package.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 02 Feb 2016 17:45:14 +0100

groovy2 (2.4.3+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Updated debian/watch to track the Apache incubator releases.

  [ Markus Koschany ]
  * Transition to bnd 2.1.0 and update 02_fix_gradle_build.diff.
  * debian/copyright: Update Source field for new releases.
  * Build-depend on locales-all | language-pack-en.

 -- Markus Koschany <apo@debian.org>  Wed, 18 Nov 2015 15:19:05 +0100

groovy2 (2.4.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Miguel Landaeta]
  * Fix remote execution of untrusted code and possible DoS vulnerability.
    (CVE-2015-3253) (Closes: #793398).

  [ Markus Koschany ]
  * Fix FTBFS with gradle 2.5 by adding mavenRepo.patch and using bnd 1.50 from
    unstable. (Closes: #795853)

 -- Markus Koschany <apo@gambaru.de>  Mon, 17 Aug 2015 19:29:07 +0200

groovy2 (2.4.3+dfsg-1) experimental; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * Depend on java6-runtime-headless instead of java6-runtime

  [ Komal ]
  * New upstream release (Closes: #747817)
  * Repack the upstream tarball and remove non-free files. This should also fix
    the FTBFS on armhf since this file does not even exist anymore.
    (Closes: #768835)
  * Create new patch files
     -01_fix_doc_gradle.diff
     -02_fix_gradle_build.diff
     -fix_for_gradle-1.12.diff
     -change_bsf_dependencies_version.diff
     -change_servlet_dependency_version.diff
     -change_junit_version.diff
     -change_testng_dependency_version.diff
  * Deleted 03_add_maven_poms.diffpatch file
  * Add entry for CPL license in copyright file
  * Add pom files in Debian directory
  * Add missing packages to Build-Depends
     -libjcommander-java
     -testng
     -bnd
     -checkstyle

 -- Komal <komaldsukhani@gmail.com>  Fri, 26 Jun 2015 21:33:25 +0200

groovy2 (2.2.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Use junit 4.x instead of 4.11 to fix a build failure
  * Updated the watch file
  * debian/control:
    - Standards-Version updated to 3.9.6 (no changes)
    - Updated the Homepage field
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Jun 2015 10:11:01 +0200

groovy2 (2.2.2+dfsg-3) unstable; urgency=medium

  * Relicense patches under Apache-2.0 license to make them compatible
    with upstream and to address FTPmasters concerns.

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 28 Aug 2014 21:18:18 -0700

groovy2 (2.2.2+dfsg-2) unstable; urgency=low

  * Fix typo in Maven artifacts versioning.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 12 Jul 2014 18:16:59 -0300

groovy2 (2.2.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Refresh patches.
  * Implement alternatives usage to allow co-installation with groovy 1.8.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 11 May 2014 14:22:06 -0300

groovy (2.2.1+dfsg-2) experimental; urgency=low

  * Fix Maven coordinates. (Closes: #733051).
  * Update maintainer email address.

 -- Miguel Landaeta <nomadium@debian.org>  Wed, 25 Dec 2013 14:28:19 -0300

groovy (2.2.1+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches:
    - 01_fix_gradle_build.diff
    - 03_add_maven_poms.diff
  * Update dependencies lists:
    - libjline-java is replaced with libjline2-java.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 01 Dec 2013 16:21:56 -0300

groovy (2.1.9+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Update watch file. Thanks to Bart Martens for the improved file.
  * Remove GPars symlink from /usr/share/groovy/lib directory.
    (Closes: #728562).
  * Refresh patches:
    - 01_fix_gradle_build.diff
    - 03_add_maven_poms.diff

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 24 Nov 2013 18:14:43 -0300

groovy (2.1.6+dfsg-1) experimental; urgency=low

  * New upstream release. (Closes: #708193).
  * Switch build system from Ant to Gradle.
  * Remove obsolete DMUA field in d/control file.
  * Update Uploaders list since I'm the only mantainer nowadays.
    Thanks to all the previous maintainers for their work on this package.
  * Update dependency lists.
  * Bump Standards-Version to 3.9.5. No changes were required.
  * Make copyright file compliant with format 1.0.
  * Migrate maintenance to Alioth git repositorites and update Vcs-* fields.
  * Add Maven metadata as a patch because it's not included anymore in the
    upstream tarball. I added the target get-orig-pom in d/rules.
  * Bump debhelper compat level to 9.

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 01 Nov 2013 00:19:47 -0300

groovy (1.8.6-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Mon, 13 Feb 2012 19:07:27 -0430

groovy (1.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 24 Dec 2011 12:58:27 -0430

groovy (1.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 12 Nov 2011 08:53:18 -0430

groovy (1.8.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 13 Oct 2011 21:36:25 -0430

groovy (1.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Mon, 05 Sep 2011 22:31:51 -0430

groovy (1.8.1-2) unstable; urgency=low

  * Team upload.

  [Miguel Landaeta]
  * Upload to unstable.

  [tony mancill]
  * Set DMUA flag.

 -- tony mancill <tmancill@debian.org>  Tue, 09 Aug 2011 16:20:19 -0700

groovy (1.8.1-1) experimental; urgency=low

  * New upstream release.
  * Update watch file.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 24 Jul 2011 11:12:10 +0200

groovy (1.7.10-2) unstable; urgency=low

  * Add ant-nodeps jar as dep in debian/rules due to changes in Ant 1.8.1.
  * Bump Standards-Version to 3.9.2. No changes were required.

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 04 May 2011 10:15:07 -0430

groovy (1.7.10-1) unstable; urgency=low

  * New upstream release.
  * Use the location of java command instead of javac one to determine
    JAVA_HOME. (Closes: #619844).
  * Replace optional dependency of java5-runtime-headless with
    sun-java6-jre since is not true that groovy will work with any Java 5
    runtime available in Debian.

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 23 Mar 2011 19:50:48 -0430

groovy (1.7.9-1) unstable; urgency=low

  * New upstream upload.
  * Add optional Depends on java5-runtime-headless for
    groovy. (Closes: #617772).

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 11 Mar 2011 08:38:53 -0430

groovy (1.7.8-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 17 Feb 2011 08:29:10 -0430

groovy (1.7.7-1) unstable; urgency=low

  * New upstream release.
  * Update dates in debian/copyright file.
  * Add call to mh_clean in clean target.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 06 Feb 2011 19:56:53 -0430

groovy (1.7.6-1) UNRELEASED; urgency=low

  * New upstream release.
  * Fix section of grape manpage.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 16 Dec 2010 19:22:04 -0430

groovy (1.7.5-1) UNRELEASED; urgency=low

  * New upstream release.
  * Revert Depends on default-jdk. Set correct JAVA_HOME in startGroovy script.
  * Update dates in debian/copyright file.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 11 Nov 2010 19:52:27 -0430

groovy (1.7.4-1) unstable; urgency=low

  * New upstream release.
  * Add Depends on default-jdk. (Closes: 580160).
  * Bump debhelper compatibility level to 7.
  * Bump Standards-Version to 3.9.1.
    debian/copyright was updated to include the full text of BSD license,
    references to /usr/share/common-licenses/BSD are now deprecated.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 05 Aug 2010 19:38:10 -0430

groovy (1.7.3-1) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * New upstream release, refreshed patches.
  * Bumped policy to 3.9.0, no changes required

  [ Miguel Landaeta ]
  * Add myself as Uploader.
  * Add Build-Depends and Depends on libjansi-java.
  * Refresh patches/0002-ant-build.diff.patch.
  * Add mh_clean invocation to clean target.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 05 Aug 2010 14:49:05 -0430

groovy (1.7.2-1) UNRELEASED; urgency=low

  [ Torsten Werner ]
  UNRELEASED, FTBFS: needs jansi
  * New upstream release
  * Change maintainers into Maintainers.
  * Update patches and convert them to dep3 format.

  [ Thierry Carrez ]
  * debian/control, debian/rules: (Build-)Depend on libservlet2.5-java
    instead of libservlet2.4-java
  * debian/control: Remove useless runtime dependency on libclassworlds-java

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Wed, 09 Jun 2010 10:53:24 +0200

groovy (1.7.0-3) unstable; urgency=low

  * Replace asm2 with asm3 in debian/maven.rules. (Closes: #571356)

 -- Torsten Werner <twerner@debian.org>  Sun, 28 Feb 2010 11:33:39 +0100

groovy (1.7.0-2) unstable; urgency=low

  * Replace asm2 with asm3 in debian/groovy.links (Closes: #571369)
  * Replace asm2 with asm3 in patches/ant-build.diff

 -- Varun Hiremath <varun@debian.org>  Fri, 26 Feb 2010 16:39:51 -0500

groovy (1.7.0-1) unstable; urgency=low

  * New upstream release
  * Switch to source format 3.0 (quilt)
  * debian/control:
    - Switch to default-jdk
    - Replace Build-Depends: libasm2* with libasm3*
    - Bump Standards-Version to 3.8.4
  * Update all the patches

 -- Varun Hiremath <varun@debian.org>  Wed, 17 Feb 2010 18:25:49 -0500

groovy (1.6.4-4) unstable; urgency=low

  [ Varun Hiremath ]
  * Fix debian/copyright file (Closes: #543565)
  * Bump Standards-Version to 3.8.3

  [ Torsten Werner ]
  * Remove Build-Depends: bnd and add a patch disable-bn.diff because bnd is
    not ready for main yet. (Closes: #543130)

 -- Torsten Werner <twerner@debian.org>  Wed, 16 Sep 2009 13:25:12 +0200

groovy (1.6.4-3) unstable; urgency=low

  * Patch startGroovy to use Debian paths (Closes: #540688)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 14 Aug 2009 14:26:04 +0100

groovy (1.6.4-2) unstable; urgency=low

  * Update Depends: libcommons-cli-java (>= 1.2). (Closes: #530623)

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 11:24:02 +0200

groovy (1.6.4-1) experimental; urgency=low

  * New upstream release
  * Add myself to Uploaders
  * Fix classpath for bnd task in the build
  * Add ant to Suggests: for the groovy package as
    Ant can be embedded in some Groovy scripts

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sun, 02 Aug 2009 23:12:29 +0100

groovy (1.6.3-2) experimental; urgency=low

  * Change the section to java
  * Update the build to use most of the original ant build script
  * Remove build.diff patch as it is not useful anymore.
  * Use BND to add the OSGi metadata to the jar.
  * Add bnd, libqdox-java, libjarjar-java to Build-Depends
  * Link ivy.jar into the Groovy lib folder (Closes: #526472)
  * Add Build-Depends on maven-repo-helper
  * Deploy groovy jars into the Maven repository
  * Add embeddable jar groovy-all.jar
  * Add the Groovy documentation (gapi) and the Groovy changes
    to the JDK (groovy-jdk) specification.
  * Move the classloader configuration to /etc/groovy.
  * Bump Standards-Version to 3.8.2:
    - Add a README.source to describe patch system
    - move API documentation to /usr/share/doc/groovy/api

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 17 Jul 2009 00:33:18 +0100

groovy (1.6.3-1) unstable; urgency=low

  * New upstream release

 -- Torsten Werner <twerner@debian.org>  Tue, 19 May 2009 21:49:37 +0200

groovy (1.6.2-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Wed, 06 May 2009 14:05:59 -0400

groovy (1.6.0-1) unstable; urgency=low

  [ Torsten Werner ]
  * New upstream release (Closes: #521648)
  * Remove Build-Depends: libclassworlds-java.
  * Switch to source and target version 1.5.

  [ Varun Hiremath ]
  * Fix build.xml file
  * Add ivy to Build-Depends
  * Remove unnecessary Depends -- collections3, mx4j and xpp3
  * Add build.diff patch to fix a build error
  * Use quilt to manage patches
  * Update manpage (Closes: #507862)

 -- Varun Hiremath <varun@debian.org>  Wed, 01 Apr 2009 19:24:19 -0400

groovy (1.5.7-1) unstable; urgency=low

  * New upstream release

 -- Torsten Werner <twerner@debian.org>  Thu, 04 Dec 2008 11:15:20 +0100

groovy (1.5.6-2) unstable; urgency=low

  * Build the package with openjdk-6-jdk now.
  * Move package to main.
  * Change Depends: openjdk-6-jre-headless | java5-runtime-headless.
  * Bump up Standards-Version: 3.8.0 (no changes needed).

 -- Torsten Werner <twerner@debian.org>  Mon, 11 Aug 2008 19:21:53 +0200

groovy (1.5.6-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Thu, 01 May 2008 10:40:25 +0530

groovy (1.5.5-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Mon, 14 Apr 2008 14:53:28 +0530

groovy (1.5.4-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Sun, 10 Feb 2008 17:29:48 +0530

groovy (1.5.2-1) unstable; urgency=low

  * New upstream release
  * Add antlr to Build-Depends-Indep and groovy Depends (Closes: #463147)
  * Bump debhelper compat to 6

 -- Varun Hiremath <varun@debian.org>  Wed, 30 Jan 2008 09:41:16 +0530

groovy (1.5.1-1) unstable; urgency=low

  * New upstream release
  * Fix hyphens in groovy manpage

 -- Varun Hiremath <varun@debian.org>  Sat, 05 Jan 2008 03:42:21 +0530

groovy (1.5.0-2) unstable; urgency=low

  * Set source=1.4 and target=1.4 for javac. (Closes: #458001)

 -- Torsten Werner <twerner@debian.org>  Fri, 28 Dec 2007 12:58:00 +0100

groovy (1.5.0-1) unstable; urgency=low

  [ Varun Hiremath ]
  * New upstream release (Closes: #367010)
  * debian/control:
    + Set Debian Java maintainers as Maintainer (Closes: #382815)
    + Add myself and Torsten to Uploaders
    + Add sun-java6-jdk, libxstream-java to Build-Depends
    + Add Homepage, Vcs-{Svn, Browser} headers
    + Bump up the Standards-Version to 3.7.3
    + Add Suggests for the binary and doc packages
  * Add debian/watch, debian/orig-tar.sh to create orig.tar.gz
  * Write a new debian/build.xml and add debian/ant.properties
  * debian/rules:
    + call javadoc to build docs
    + use sun-java6-jdk to build
  * Clean up javadoc installation.
  * Add some missing links in debian/groovy.links
  * Add manpages

  [ Torsten Werner ]
  * Switch to libservlet2.4-java.
  * Add Build-Depends: libjline-java.
  * Remove the (binary only) PDF file from orig.tar.gz.

 -- Torsten Werner <twerner@debian.org>  Sat, 15 Dec 2007 15:21:00 +0100

groovy (0.1.0beta10-3) unstable; urgency=low

  * Fixed dependencies to ant after ant reorganisation into main.
    (closes: #331647)

 -- Marcus Crafter <crafterm@debian.org>  Tue, 18 Oct 2005 12:35:43 +0200

groovy (0.1.0beta10-2) unstable; urgency=low

  * Added missing dependency to bzip2. Thanks for Andreas Jochens
    <aj@andaco.de> for the bug report.
    (closes: #302574)

 -- Marcus Crafter <crafterm@debian.org>  Sat,  2 Apr 2005 20:32:48 +0200

groovy (0.1.0beta10-1) unstable; urgency=low

  * New upstream release

 -- Marcus Crafter <crafterm@debian.org>  Wed,  9 Mar 2005 17:11:18 +0100

groovy (0.1.0beta8-4) unstable; urgency=low

  * Improved website mirror in groovy-doc package by increasing the mirrored
    link depth to 2. This catches many more articles from the Groovy wiki
    which would be of interest for offline reading.
  * Fixed broken doc-base links, added doc-base link for the website mirror.
  * Added examples.

 -- Marcus Crafter <crafterm@debian.org>  Mon,  3 Jan 2005 21:34:18 +0100

groovy (0.1.0beta8-3) unstable; urgency=low

  * Added a shallow copy of the Groovy website to the groovy-doc package,
    which contains various articles, language references and documents for
    offline use. Rearranged javadoc generation to fit in with the website.

 -- Marcus Crafter <crafterm@debian.org>  Mon,  3 Jan 2005 00:37:10 +0100

groovy (0.1.0beta8-2) unstable; urgency=low

  * Updated build to include Groovy API javadoc, and Groovy JDK
    documentation.
  * Split package into a software and documentation package.
  * Added doc-base details for groovy-doc package for the javadocs and
    groovy API.

 -- Marcus Crafter <crafterm@debian.org>  Sun,  2 Jan 2005 14:33:52 +0100

groovy (0.1.0beta8-1) unstable; urgency=low

  * Initial Release.
    (closes: #268029)

 -- Marcus Crafter <crafterm@debian.org>  Sat, 18 Dec 2004 22:45:06 +0100
